MAKEDBM(8) | System Manager's Manual | MAKEDBM(8)

# NAME

`makedbm` —
create a NIS database

# SYNOPSIS

`makedbm` | `-u` dbfile

`makedbm` | [`-bls`] [`-d` yp_domain_name] [`-i` yp_input_file] [`-m` yp_master_name] [`-o` yp_output_file] infile outfile

# DESCRIPTION

`makedbm` is the utility in NIS that creates the db(3) database file containing the NIS map.

infile is the pathname of the source file (where “-” is standard input). Each line consists of the key and the value, with a space separating the items. Blank lines are ignored, and a “#” is a comment character and indicates that the rest of the line should be ignored.

outfile is the pathname of the generated database.

The options are as follows:

`-b`
  Interdomain. Include an entry in the database informing a NIS server to use DNS to get information about unknown hosts. This option will only have effect on the maps hosts.byname and hosts.byaddr.
`-l`
  Lowercase. Convert all keys to lower case before adding them to the NIS database.
`-s`
  Secure map. Include an entry in the database informing ypxfr(8) and ypserv(8) that the NIS map is going to be handled as secure (i.e., not served to clients that don't connect from a reserved port).
`-d` yp_domain_name
  Include an entry in the map with ‘YP_DOMAIN_NAME’ as the key and yp_domain_name as the value.
`-i` yp_input_file
  Include an entry in the map with ‘YP_INPUT_FILE’ as the key and yp_input_file as the value.
`-m` yp_master_name
  Include an entry in the map with ‘YP_MASTER_NAME’ as the key and yp_master_name as the value.
`-o` yp_output_file
  Include an entry in the map with ‘YP_OUTPUT_FILE’ as the key and yp_output_file as the value.
`-u` dbfile
  Dump the contents of dbfile to standard output, in a format suitable to be passed back into `makedbm`. dbfile is the pathname to the database.

# SEE ALSO

db(3), nis(8), ypserv(8), ypxfr(8)

# AUTHORS

Mats O Jansson <moj@stacken.kth.se>

February 26, 2005 | NetBSD 9.0